Subject: Re: git-subtree Ready #2

From: Jakub Narebski <[email-masked]>
Date: Mon, 27 Feb 2012 18:04:51 -0800 (PST)

Jeff King <[email-masked]> writes:

> 
> Yeah, I don't see much point in rewriting. If parts of the history suck,
> then so be it.  It's probably not that big to store. And while it's
> sometimes easier to fix bad commit messages when they are recent and in
> your memory (rather than trying to remember later what you meant to
> say), I think it is already too late for that. Any archaeology you do
> now to make good commit messages could probably just as easily be done
> if and when somebody actually needs the commit message later (emphasis
> on the "if" -- it's likely that nobody will care about most of the
> commit messages later at all).

Anyway we already have subtree merges if subsystem with bad error
messages -- see gitweb.
-- 
Jakub Narebski